#include <string.h>
#include <arch/types.h>
#include <kos/fs.h>
#include <kos/fs_romdisk.h>
#include <kos/pcx.h>
#include <gba/video.h>
#include <gba/keys.h>

extern uint8 romdisk_boot[];
void irq_handler() { }

int main() {
	int	w, h;

	/* Turn on 240x160x16b mode plus 1D sprites */
	REG_DISP_MODE = DISP_MODE_3 | DISP_BG2_ENABLE;

	/* Initialize romdisk fs */
	fs_init();
	fs_romdisk_init(romdisk_boot);

	/* Load a nice background picture */
	pcx_load_flat("/rd/yuna.pcx", &w, &h, (void*)PTR_VID_0);

	/* Wait for A */
	while (REG_KEYS & KEY_A)
		;

	/* Clear the screen to signify completion */
	memset2(PTR_VID_0, 0, 240*160*2);

	return 0;
}

